
#include "DFT_GPU_Kernel.h"


//Kernel Functions
/*
Discrete Fourier Transform
dir=1 forward transform
dir=-1 inverse transform
*/
__global__ void DFT_Kernel(float *Dst_real_dev,float *Dst_imag_dev,
	                       float *signal_real_dev,float *signal_imag_dev,int N_DFT,int dir){
	const int ix = blockDim.x * blockIdx.x + threadIdx.x;
	if(ix<N_DFT){
		/*HERE*/
	}
}

void DFT_GPU(float *Dst_real_dev,float *Dst_imag_dev,float *signal_real_dev,float *signal_imag_dev,int N_DFT,int dir,dim3 grid,dim3 threads){
	DFT_Kernel<<<grid,threads>>>(Dst_real_dev,Dst_imag_dev,signal_real_dev,signal_imag_dev,N_DFT,dir);
}
